# Uses of Interface
org.eclipse.microprofile.openapi.models.parameters.RequestBody

Packages that use RequestBody
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3 documents from their JAX-RS applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.parameters
A set of model interfaces to describe operation parameters and operation's request body.

## Uses of RequestBody in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return RequestBody
Modifier and Type
Method
Description
`static RequestBody`
OASFactory.`createRequestBody()`
This method creates a new `RequestBody` instance.
`default RequestBody`
OASFilter.`filterRequestBody(RequestBody requestBody)`
Allows filtering of a particular RequestBody.
Methods in org.eclipse.microprofile.openapi with parameters of type RequestBody
Modifier and Type
Method
Description
`default RequestBody`
OASFilter.`filterRequestBody(RequestBody requestBody)`
Allows filtering of a particular RequestBody.

## Uses of RequestBody in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return RequestBody
Modifier and Type
Method
Description
`RequestBody`
Operation.`getRequestBody()`
Returns the requestBody property from an Operation instance.
Methods in org.eclipse.microprofile.openapi.models that return types with arguments of type RequestBody
Modifier and Type
Method
Description
`Map<String,RequestBody>`
Components.`getRequestBodies()`
Returns the requestBodies property from a Components instance.
Methods in org.eclipse.microprofile.openapi.models with parameters of type RequestBody
Modifier and Type
Method
Description
`Components`
Components.`addRequestBody(String key, RequestBody requestBody)`
Adds the given request body to this Components' map of request bodies with the given string as its key.
`default Operation`
Operation.`requestBody(RequestBody requestBody)`
Sets this Operation's requestBody property to the given object.
`void`
Operation.`setRequestBody(RequestBody requestBody)`
Sets this Operation's requestBody property to the given object.
Method parameters in org.eclipse.microprofile.openapi.models with type arguments of type RequestBody
Modifier and Type
Method
Description
`default Components`
Components.`requestBodies(Map<String,RequestBody> requestBodies)`
Sets this Components' requestBodies property to the given Map containing keys and reusable request body objects.
`void`
Components.`setRequestBodies(Map<String,RequestBody> requestBodies)`
Sets this Components' requestBodies property to the given Map containing keys and reusable request body objects.

## Uses of RequestBody in org.eclipse.microprofile.openapi.models.parameters

Methods in org.eclipse.microprofile.openapi.models.parameters that return RequestBody
Modifier and Type
Method
Description
`default RequestBody`
RequestBody.`content(Content content)`
Sets the content of this instance of RequestBody, where the keys in content are media type names and the values describe it.
`default RequestBody`
RequestBody.`description(String description)`
Sets the description of this RequestBody and return this instance of RequestBody
`default RequestBody`
RequestBody.`required(Boolean required)`
Sets whether this instance of RequestBody is required or not and returns this instance of RequestBody